Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.any23.cli
Class ExtractorDocumentationTest

    java.lang.Object
      org.apache.any23.Any23OnlineTestBase
          org.apache.any23.cli.ToolTestBase
              org.apache.any23.cli.ExtractorDocumentationTest

    public class ExtractorDocumentationTest

extends ToolTestBase

Test case for `ExtractorDocumentation` CLI.

Author:
  Michele Mostarda (mostarda@fbk.eu)

Field Summary

Fields inherited from class org.apache.any23.cli.ToolTestBase
`TOOL_RUN_METHOD`

Fields inherited from class org.apache.any23.Any23OnlineTestBase
`ONLINE_TEST_DISABLED_FLAG`

Constructor Summary
`ExtractorDocumentationTest()`

Method Summary
`void` | `tesList()`
`void` | `testAll()`
`void` | `testExampleInput()`
`void` | `testExampleOutput()`

Methods inherited from class org.apache.any23.cli.ToolTestBase
`runTool, runTool, runToolCheckExit0`

Methods inherited from class org.apache.any23.Any23OnlineTestBase
`assumeOnlineAllowed`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExtractorDocumentationTest

    public ExtractorDocumentationTest()

Method Detail

### tesList

    public void tesList()
                 throws Exception

  Throws:
    `Exception`

### testAll

    public void testAll()
                 throws Exception

  Throws:
    `Exception`

### testExampleInput

    public void testExampleInput()
                          throws Exception

  Throws:
    `Exception`

### testExampleOutput

    public void testExampleOutput()
                           throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010-2012 The Apache Software Foundation. All Rights Reserved.